# $Revision: 1.2 $, $Date: 2012/06/16 13:31:34 $
%define		pkg	which
Summary:	A JavaScript implementation of the 'which' command
Name:		nodejs-%{pkg}
Version:    1.0.5
Release:	1
License:	MIT
Group:		Development/Libraries
URL:		https://github.com/isaacs/node-which
Source0:    http://registry.npmjs.org/which/-/which-%{version}.tgz
# Source0-md5:	de8504eba9afa3e8a4e7feb9d3b52b38
BuildRequires:	rpmbuild(macros) >= 1.634
Requires:	nodejs
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
A JavaScript implementation of the '%{pkg}' command.

%prep
%setup -qc
mv package/* .

%{__sed} -i -e '1s,^#!.*node,#!/usr/bin/node,' bin/*
chmod a+rx bin/*

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_bindir},%{nodejs_libdir}/%{pkg}}
cp -a %{pkg}.js bin package.json $RPM_BUILD_ROOT%{nodejs_libdir}/%{pkg}
ln -s %{nodejs_libdir}/%{pkg}/bin/%{pkg} $RPM_BUILD_ROOT%{_bindir}/%{pkg}.js

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.md
%attr(755,root,root) %{_bindir}/which.js
%dir %{nodejs_libdir}/%{pkg}
%{nodejs_libdir}/%{pkg}/package.json
%{nodejs_libdir}/%{pkg}/%{pkg}.js
%dir %{nodejs_libdir}/%{pkg}/bin
%attr(755,root,root) %{nodejs_libdir}/%{pkg}/bin/which

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: nodejs-which.spec,v $
Revision 1.2  2012/06/16 13:31:34  glen
- up to 1.0.5, fix bin packaging

Revision 1.1  2012/01/25 22:44:49  glen
- initial node pkgs for npm deps
  based on specs from http://nodejs.tchol.org/ repo
